org.apache.fop.render.ps

## Interface PSEventProducer

- All Superinterfaces:
    EventProducer

      public interface PSEventProducer
      extends EventProducer

  Event producer interface for events generated by the PostScript renderer.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `PSEventProducer.Provider` Provider class for the event producer.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `postscriptDictionaryParseError(java.lang.Object source, java.lang.String content, java.lang.Exception e)` A PostScript dictionary could not be parsed.
    `void` | `postscriptLevel3Needed(java.lang.Object source)` PostScript Level 3 features are necessary.

- - ### Method Detail

    - #### postscriptDictionaryParseError

          void postscriptDictionaryParseError(java.lang.Object source,
                                              java.lang.String content,
                                              java.lang.Exception e)

      A PostScript dictionary could not be parsed.
      Parameters:
        `source` - the event source
        `content` - the PostScript content
        `e` - the original exception
      Event severity level:
        ERROR

    - #### postscriptLevel3Needed

          void postscriptLevel3Needed(java.lang.Object source)

      PostScript Level 3 features are necessary.
      Parameters:
        `source` - the event source
      Event severity level:
        FATAL

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.